Skip to content
Projects
Groups
Snippets
Help
This project
Loading...
Sign in / Register
Toggle navigation
U
uniset2
Project
Project
Details
Activity
Cycle Analytics
Repository
Repository
Files
Commits
Branches
Tags
Contributors
Graph
Compare
Charts
Issues
1
Issues
1
List
Board
Labels
Milestones
Merge Requests
0
Merge Requests
0
CI / CD
CI / CD
Pipelines
Jobs
Schedules
Charts
Wiki
Wiki
Members
Members
Collapse sidebar
Close sidebar
Activity
Graph
Charts
Create a new issue
Jobs
Commits
Issue Boards
Open sidebar
UniSet project repositories
uniset2
Commits
beac0c92
Commit
beac0c92
authored
Sep 19, 2009
by
Vitaly Lipatov
Browse files
Options
Browse Files
Download
Email Patches
Plain Diff
release_helper: cleanup
parent
680ea494
Hide whitespace changes
Inline
Side-by-side
Showing
1 changed file
with
8 additions
and
70 deletions
+8
-70
release_helper.sh
conf/release_helper.sh
+8
-70
No files found.
conf/release_helper.sh
View file @
beac0c92
...
@@ -4,74 +4,12 @@
...
@@ -4,74 +4,12 @@
cd
..
cd
..
SPECNAME
=
conf/libuniset.spec
SPECNAME
=
conf/libuniset.spec
REL
=
eter
DEFAULTARCH
=
i586
RPMDIR
=
~/RPM/RPMS/
$DEFAULTARCH
RPMDIR
=
~/RPM/RPMS/
$DEFAULTARCH
RPMSOURCEDIR
=
~/RPM/SOURCES
RPMSOURCEDIR
=
~/RPM/SOURCES
FTPDIR
=
/var/ftp/pub/Ourside/i586/RPMS.uniset
FTPDIR
=
/var/ftp/pub/Ourside/i586/RPMS.uniset
PROJECT
=
uniset
PROJECT
=
uniset
GEN
=
/var/ftp/pub/Ourside/i586/genb.sh
GEN
=
/var/ftp/pub/Ourside/i586/genb.sh
BACKUPDIR
=
$FTPDIR
/backup
BACKUPDIR
=
$FTPDIR
/backup
RPMBUILD
=
/usr/bin/rpmbuild
fatal
()
{
echo
"Error:
$@
"
exit
1
}
# Run inside project dir (named as name) (arg: local for noncvs build)
prepare_tarball
()
{
build_rpms_name
$SPECNAME
NAMEVER
=
$BASENAME
-
$VERSION
WDPROJECT
=
$(
pwd
)
TARNAME
=
$NAMEVER
.tar
DESTDIR
=
$TMPDIR
/
$NAMEVER
RET
=
0
mkdir
-p
$DESTDIR
rm
-rf
$DESTDIR
/
*
cp
-r
$WDPROJECT
/
*
$DESTDIR
/
cd
$DESTDIR
/
make distclean
# [ -a ./autogen.sh ] && ./autogen.sh
rm
-rf
autom4te.cache/
rm
-rf
.git
rm
-rf
.gear
echo
"Make tarball
$TARNAME
... from
$DESTDIR
"
mkdir
-p
$RPMSOURCEDIR
/
$NICE
tar
cf
$RPMSOURCEDIR
/
$TARNAME
../
$NAMEVER
$ETERTARPARAM
||
RET
=
1
rm
-rf
$DESTDIR
cd
-
[
$RET
]
&&
echo
"build ok"
||
fatal
"Can't create tarball"
}
add_changelog_helper
()
{
tty
-s
||
{
echo
"skip changelog fixing"
;
return
1
;
}
#FIXME HACK!! POSIX, changelog
# . . ţ rpmbb
L
=
"
$LC_ALL
"
export
LC_ALL
=
POSIX
add_changelog
-e
"
$@
"
R
=
$?
export
LC_ALL
=
"
$L
"
if
[
"
$R
"
=
"0"
]
;
then
shift
for
SPEC
in
"
$@
"
;
do
N
=
`
grep
-n
'^%changelog'
$SPEC
|
head
-n
1 |
sed
s!:.
*
!!
g
`
# +1 -- comment with date and packager name
# +2 -- place for edit comments
vim +
$((
$N
+
2
))
$SPEC
done
fi
return
$R
}
function
send_notify
()
function
send_notify
()
{
{
...
@@ -91,9 +29,9 @@ echo "inform mail sent to $MAILTO"
...
@@ -91,9 +29,9 @@ echo "inform mail sent to $MAILTO"
function
cp2ftp
()
function
cp2ftp
()
{
{
mkdir
-p
$BACKUPDIR
mkdir
-p
$BACKUPDIR
mv
-f
$FTPDIR
/
$PROJECT
*
$BACKUPDIR
/
mv
-f
$FTPDIR
/
*
$PROJECT
*
$BACKUPDIR
/
mv
-f
$RPMDIR
/
$PROJECT
*
$FTPDIR
/
mv
-f
$RPMDIR
/
*
$PROJECT
*
$FTPDIR
/
chmod
'a+rw'
$FTPDIR
/
$PROJECT
*
chmod
'a+rw'
$FTPDIR
/
*
$PROJECT
*
$GEN
$GEN
}
}
...
@@ -103,18 +41,18 @@ export BUILDNAME=$BASENAME-$VERSION-$RELEASE
...
@@ -103,18 +41,18 @@ export BUILDNAME=$BASENAME-$VERSION-$RELEASE
add_changelog_helper
"- new build"
$SPECNAME
add_changelog_helper
"- new build"
$SPECNAME
prepare_tarball
||
fatal
"Can't prepare tarball"
#
prepare_tarball || fatal "Can't prepare tarball"
rpmbb
$SPECNAME
||
fatal
"Can't build"
rpmbb
$SPECNAME
||
fatal
"Can't build"
cp2ftp
cp2ftp
rpmbs
$SPECNAME
#
rpmbs $SPECNAME
#send_notify
#send_notify
#
#
BASERELEASE
=
$(
get_release
$SPECNAME
|
sed
-e
"s/
$REL
//"
)
inc_release
$SPECNAME
set_release
$SPECNAME
${
REL
}$((
BASERELEASE+1
))
#
#cvs commit -m "Auto updated by $0 for $BUILDNAME" $SPECNAME || fatal "Can't commit spec"
#cvs commit -m "Auto updated by $0 for $BUILDNAME" $SPECNAME || fatal "Can't commit spec"
# Note: we in topscrdir
# Note: we in topscrdir
...
...
Write
Preview
Markdown
is supported
0%
Try again
or
attach a new file
Attach a file
Cancel
You are about to add
0
people
to the discussion. Proceed with caution.
Finish editing this message first!
Cancel
Please
register
or
sign in
to comment